/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * This function, fillPopUp, takes the data that is passed to it in the /p_data/
 * parameter and sets it equal to the innerHTML of the pop up's content container,
 * and the data that is passed in the /p_header/ parameter and sets it equal to the
 * innerHTML of the pop up's handle text. It then "opens" the pop-up window.
 *
 * @param {String} p_data The string containing the data to set to the pop-up
 * 		element's /innerHTML/.
 * @param {String} p_header The string containing the pop-up element's "header".
 */
function fillPopUp(p_data, p_header) {
	if (p_header)
		$('handleText').innerHTML = p_header;
	else
		$('handleText').innerHTML = 'Alert window';
	$('popupContent').innerHTML = p_data;
	/*
	 * This is for Internet Explorer in case the p_data passed in contained event
	 * attributes, just to make sure that they fire correctly for the user.
	 */
	$('popupContent').innerHTML = $('popupContent').innerHTML;
	/* "Open" up the pop-up window for the user to see. */
	showPopUp( );
}