/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * This function, onPromptOkay, is the handler for the /onclick/ event of the OK
 * button of our advanced form pop-up window. It checks to make sure that all of
 * the required fields are filled out by the user, then makes an XMLHttpRequest to
 * send the information to the server to be saved while it lets the application go
 * on with its normal functions. The XMLHttpRequest response is parsed only if an
 * error occured in the transaction.
 *
 * @return Returns false, so the form is not actually submitted.
 * @type Boolean
 */
function onPromptOkay( ) {
	/* Are the required fields in the pop-up set? */
	if (!$F('lastName') || !F('city') || $F('zipCode') || $F('email')) {
		fillPrompt('You did not fill in all of the required input fields.', 'Fill in all required fields');
		$('btnOk').focus( );
	} else {
		/* Create the parameter string for the form */
		var params = 'last=' + $F('lastName') + (($F('firstName')) ? '&first=' + $F('firstName') : '') + (($F('address')) ? '&address=' + $F('address') : '') + '&city=' + $F('city') + (($F('state')) ? '&state=' + $F('state') : '') + '&zip=' + $F('zipCode') + (($F('phone')) ? '&phone=' + $F('phone') : '') + '&email=' + $F('email');

		new Ajax.Request('saveConfirm.php', {
			method: 'post',
			parameters: params,
			onFailure: function(xhrResponse) {
				/* Send the error message to the user */
				fillPopup('There was an internal error with the application: <br />' + xhrResponse.statusText);
			}
		});
	}
	/* "Close" the prompt window after the Ajax request has gone out */
	closePrompt( );
	return (false);
}