/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * This function, showToolTip, gets the tool tip that is to be shown to the user,
 * positions it according to the mouse position, and sets the CSS styles necessary
 * to make it visible. Get the contents for the tool tip from the server.
 */
function showToolTip( ) {
	/* The tool-tip element to be shown to the user */
	var toolTip = $(this.id + 'Def');
	/* The position that the tool tip should be in */
	var position = positionToolTip(toolTip);

	/* Has the tool tip already been filled? */
	if ($(this.id + 'Def').innerHTML == '') {
		/* Get the contents for the tool tip from the server */
		Ajax.Request('toolTip.php', {
			method: 'post',
			parameters: 'id=' + toolTip,
			onSuccess: function(xhrResponse) {
				$(this.id + 'Def').innerHTML = xhrResponse.responseText;
			},
			onFailure: function(xhrResponse) {
				$(this.id + 'Def').innerHTML = 'Error: ' + xhrResponse.statusText;
			}
		});
	}
	Element.setStyle(toolTip, {
		position: 'absolute',
		display: 'block',
		left: position.left,
		top: position.top
	});
}