<?php
/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 12-4, logError.php: The script to handle the error to be logged from
 * the client.
 */

/**
 * The Zend Framework Db.php library is required for this example.
 */
require_once('Zend/Db.php');
/**
 * The generic db.php library, containing database connection information such as
 * username, password, server, etc., is required for this example.
 */
require_once('db.inc');

/* Get the passed XML */
$raw_xml = file_get_contents("php://input");
$data = simplexml_load_string($raw_xml);

/* Set up the parameters to connect to the database */
$params = array ('host' => $host,
				 'username' => $username,
				 'password' => $password,
				 'dbname' => $db);

try {
	/* Connect to the database */
	$conn = Zend_Db::factory('PDO_MYSQL', $params);

	/* The row of data to be inserted in column => value format */
	$row = array (
		'error_dte' => date('Y-m-d'),
		'number' 	=> $conn->quote($data->number),
		'message' 	=> $conn->quote($data->message),
		'file' 		=> $conn->quote((($data->file) ? $data->file : '')),
		'line'	 	=> $conn->quote((($data->line) ? $data->line : '')),
		'trace' 	=> $conn->quote((($data->trace) ? $data->trace : ''))
	);
	/* the table into which the row should be inserted */
	$table = 'application_errors';
	/* Insert the row */
	$conn->insert($table, $row);
} catch (Exception $e) { }
?>