<?php
/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 13-6, fa_stats.php: The server-side script to handle our dynamic bar
 * graph request.
 */

/**
 * The Zend Framework Db.php library is required for this example.
 */
require_once('Zend/Db.php');
/**
 * The generic db.inc library, containing database connection information such as
 * username, password, server, etc., is required for this example.
 */
require('db.inc');

/* Variable to hold the output XML string */
$xml = '';
/* Was the /stat/ sent to me? */
if (isset($_REQUEST['stat'])) {
	/* Create an array of colors for each of the ten results that will be returned */
	$colors = array('#00ff00',
					'#00cc00',
					'#009900',
					'#006600',
					'#003300',
					'#0000ff',
					'#0000cc',
					'#000099',
					'#000066',
					'#000033');
	/* Set up the parameters to connect to the database */
	$params = array ('host' => $host,
					 'username' => $username,
					 'password' => $password,
					 'dbname' => $db);
	try {
		/* Connect to the database */
		$db = Zend_Db::factory('PDO_MYSQL', $params);

		/* Create a SQL string */
		$sql = 'SELECT * FROM (SELECT team_abbr, '.$_REQUEST['stat'].' FROM fa_stats ORDER BY '.$_REQUEST['stat'];
		/* Which direction should the sort go? */
		if (false !== strpos($_REQUEST['stat'], 'Wins') || false !== strpos($_REQUEST['stat'], 'Goals'))
			$sql .= ' DESC';
		$sql .= ' LIMIT 0, 10) a ORDER BY a.team_abbr;';

		/* Get the results of the query */
		$result = $db->query($sql);
		/* Are there results? */
		if ($rows = $result->fetchAll( )) {
			/* Create the response XML string */
			$xml .= '<stats>';
			$i = 0;
			foreach ($rows as $row)
				$xml .= "<stat id=\"{$row['team_abbr']}\" color=\"{$colors[$i++]}\""."height=\"".$row[strtolower($_REQUEST['stat'])]."\" />";
			$xml .= '</stats>';
		} else
			$xml .= '<stats><error>-1</error></stats>';
	} catch (Exception $e) {
		$xml .= '<stats><error>'.Zend::dump($e).'</error></stats>';
	}
} else
	$xml .= '<stats><error>-1</error></stats>';
/*
 * Change the header to text/xml so that the client can use the return string as
 * XML
 */
header('Content-Type: text/xml');
print($xml);
?>