<?php
/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 14-12. Saving form data sent from the client in a database.
 */

/**
 * The Zend Framework Db.php library is required for this example.
 */
require_once('Zend/Db.php');
/**
 * The generic db.inc library, containing database connection information such as
 * username, password, server, etc., is required for this example.
 */
require('db.inc');

/* Get the parameter values from the post the client sent */
$data = file_get_contents('php://input');

/* Create an XML object using PHP's Simple XML */
$xml = new SimpleXMLElement($data);
$data1 = ((!empty($xml->data['d1'])) ? $xml->data['d1'] : '');
$data2 = ((!empty($xml->data['d2'])) ? $xml->data['d2'] : '');
$data3 = ((!empty($xml->data['d3'])) ? $xml->data['d3'] : '');

/* Set up the parameters to connect to the database */
$params = array ('host' => $host,
				 'username' => $username,
				 'password' => $password,
				 'dbname' => $db);

try {
	/* Connect to the database */
	$db = Zend_Db::factory('PDO_MYSQL', $params);

	/* The data to insert */
	$row = array(
		'data1' => $db->quote($data1),
		'data2' => $db->quote($data2),
		'data3' => $db->quote($data3)
	);
	/* Select the table into which the row should be inserted */
	$table = 'form_data';

	/* Insert the new row of data */
	$db->insert($table, $row)row);
} catch (Exception $ex) { }