<?php
/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 18-2. Adding a post programmatically to del.icio.us using PHP.
 *
 * This file demonstrates how to take the form post from the client and post
 * this data to del.icio.us using a REST architecture.  The result from the
 * post is sent back to the client.
 */


/**
 * The file, user.inc, contains the username and password for the REST request.
 */
require_once('user.inc');
/**
 * This is the PEAR HTTP:Request library used to make our request.
 */
require_once('HTTP/Request.php');

/* Is there something to post? */
if (!isempty($_REQUEST['description']) && !isempty($_REQUEST['url'])) {
	/* Set up the request */
	$request =& new HTTP_Request("https://$username:$password@api.del.icio.us/v1"."/posts/add?url=".$_REQUEST['url']. "&description=".$_REQUEST['description']);
	$request->addHeader('Accept', 'application/atom+xml');

	/* Get the results of the request */
	$results = $request->sendRequest();

	/* Begin the response text */
	$response = '<?xml version="1.0" encoding="utf-8"?>';

	/* Was there a problem with the request? */
	if (PEAR::isError($results))
		$response .= '<response code="500">'.$response->getMessage( ).'</response>';
	else {
		$code = $request->getResponseCode();
		$response .= '<response code="'.$code.'">';
		$xml = new SimpleXMLElement($results);
		$response .= $xml['code'];
		$response .= '</response>';
	}
} else
	$response .= '<response code="500">There was nothing to post.</response>';
/*
 * Change the header to text/xml so that the client can use the return string
 * as XML
 */
header('Content-Type: text/xml');
/* Give the client the XML */
print($response);
?>