<?php
/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 18-6. Demonstrating how to use SOAP and PHP to pull data from the
 * NewsIsFree web service.
 *
 * This example uses PHP 5's built-in SOAP class to request information from the
 * NewsIsFree web service.
 */

/* Set the parameters for the request query */
$app_key = '[application id]';
$login = '[login]';
$password = '[password]';
/* Site id 2315 is CNN */
$site = '2315';

$client = new SoapClient('http://newsisfree.com/nifapi.wsdl');
try {
	$result = $client->getNews($app_key, $login, $password, $site, true);
	/*
	 * Change the header to text/xml so that the client can use the return string
	 * as XML
	 */
	header('Content-Type: text/xml');
	/* Give the client the XML */
	print($result[0]);
} catch (SoapFault $ex) {
	/* Something went wrong, show the exception */
	print($ex);
}
?>