/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * Example 18-8. Demonstrating how to handle a JSON response from Flickr.
 */

/**
 * This function, jsonFlickrResponse, takes the JSON response from the server
 * and parses the results by creating <div> elements to place the blog name in.
 * It sends the error code and message should an error occur in the request.
 *
 * @param {Object} p_xhrResponse The XMLHttpRequest response from the server.
 */
function jsonFlickrResponse(p_xhrResponse){
	var rsp = p_xhrResponse.responseText;

	/* Did we get a valid response? */
	if (rsp.stat == 'ok') {
		/* Loop through the log records */
		for (var i = 0, il = rsp.blogs.blog.length; i < il; i++) {
			var blog = rsp.blogs.blog[i];
			var div = document.createElement('div');
			var txt = document.createTextNode(blog.name);

			div.appendChild(txt);
			document.body.appendChild(div);
		}
	/* Did we get a fail message? */
	} else if (rsp.stat == 'fail') {
		var div = document.createElement('div');
		var txt = document.createTextNode(rsp.code + ': ' + rsp.message);

		div.appendChild(txt);
		document.body.appendChild(div);
	}
}