<?php
/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 18-9. Requesting search results from the eBay REST API.
 *
 * This file is an example of searching eBay using its REST API, utilizing the
 * CURL package to make the request and return the results.
 */

/* Was a search request received? */
if (isset($_REQUEST['search_text'])) {
	$request_token =	'[UserToken]';
	$request_user_id =  '[UserName]';
	$query = $_REQUEST['search_text'];

	/* Create the REST string */
	$rest_request = 'http://rest.api.ebay.com/restapi?'
		.'RequestToken='.$request_token
		.'&RequestUserId='.$request_user_id
		.'&CallName=GetSearchResults'
		.'&Schema=1'
		.'&Query=\''.urlencode($query).'\''
		.'&MaxResults=10'
		.'&SearchInDescription=1'
	;

	try {
		$curl_request = curl_init();
		/* Set the URL to post the request to */
		curl_setopt($curl_request, CURLOPT_URL, $rest_request);
		/* This allows for errors to be handled */
		curl_setopt($curl_request, CURLOPT_FAILONERROR, 1);
		/* This allows for redirection */
		curl_setopt($curl_request, CURLOPT_FOLLOWLOCATION, 1);
		/* This sets the response to be set into a variable */
		curl_setopt($curl_request, CURLOPT_RETURNTRANSFER, 1);
		/* This sets a timeout for 30 seconds */
		curl_setopt($curl_request, CURLOPT_TIMEOUT, 30);
		/* This sets the post option */
		curl_setopt($curl_request, CURLOPT_POST, 0);
		/* Execute the CURL process, and set the results to a variable */
		$result = curl_exec($curl_request);
		/* Close the connection */
		curl_close($curl_request);
	} catch (Exception $ex) {
		$result = $ex.message;
	}
} else
	$result = "A search request was not sent.";
print ($result);
?>