/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * Example 20-2. The JavaScript needed to check the validity of the username
 * entered by the user.
 */

/**
 * This function, CheckUsername, makes an Ajax request to the server to check on
 * the validity of the entered username against those usernames already currently
 * in use, and against a list of words that are considered vulgar or obscene.
 * @return Returns false so that all wired events to the 'click' are not fired.
 * @type Boolean
 */
function CheckUsername( ) {
	/* Should we even bother requesting anything? */
	if ($F('nptUsername') != '') {
		new Ajax.Request('login.php', {
			method: 'post',
			parameters: { username: $F('nptUsername') },
			onSuccess: function(p_xhrResponse) {
				switch (p_xhrResponse.responseText) {
					/* The username requested is valid */
					case '1':
						alert('Welcome ' + $F('nptUsername') + '.');
						window.location = 'chat.php';
						break;
					/* The username requested is already being used */
					case '2':
						alert('This username is in use.  Please try another one.');
						$('nptUsername').focus( );
						break;
					/* The username requested had vulgarity in it */
					case '3':
						alert('Refrain from vulgarity in the username.  Thank you.');
						$('nptUsername').focus( );
						break;
					/* Something unexpected happened */
					case '4':
					default:
						alert('Something unexpected happened while logging you in.  Please try again later.');
						$('nptUsername').focus( );
						break;
				}
				return (false);
			},
			onFailure: function(p_xhrResponse) {
				alert('There was an error while logging you in:\n\n' + p_xhrResponse.statusText);
				$('nptUsername').focus( );
				return (false);
			}
		});
	} else {
		alert('Enter in a valid username before clicking the button.');
		return (false);
	}
}