<?php
/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * This file, chat.php, is the PHP file that creates the structure for the client.
 */

/* make sure that we capture the session variables passed to us */
session_start( );

/* was a username passed to the file? */
if (isset($_SESSION['username'])) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<title>Ajax Chat</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta http-equiv="imagetoolbar" content="no" />
		<link rel="stylesheet" type="text/css" media="screen" href="include/css/chat.css" />
		<script type="text/javascript" src="include/js/prototype.js"> </script>
		<script type="text/javascript" src="include/js/chatting.js"> </script>
	</head>
	<body>
		<div id="backgroundSheet"></div>
		<div id="contentWrapper">
			<form id="loginForm" action="self" method="post">
				<div id="chatClient">
					<div id="chatHeader">Ajax Chat Client v1.0</div>
					<div id="usernameContainer"></div>
					<div id="chatTextbox">
						<input id="text2Chat" name="text2Chat" class="textbox" type="text" maxlength="255" size="118" value="" />
					</div>
					<div id="messageCenter"></div>
					<div id="chatControls">
						<input id="submitButton" type="button" class="button" value="Send"/>&nbsp;&nbsp;&nbsp;
						<input id="quitButton" type="button" class="button" value="Quit" />
					</div>
				</div>
				<input type="hidden" id="username" name="username" value=" <?php print($_SESSION['username']); ?>" />
			</form>
		</div>
	<body>
</html>
<?php
} else {
	print('You must log in to participate in chat.');
}
?>