/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * Listen for all /keypress/ events and call ParseKeypress to handle it.
 */
Event.observe(window, 'load', function() {
	Event.observe(document, 'keypress', ParseKeypress);
});

/**
 * This function, ParseKeypress, traps every /keypress/ by the user and moves the
 * character on the screen when the arrow keys are pressed.
 *
 * @param {Object} e The event that caused this call to happen.
 */
function ParseKeypress(e) {
	switch (e.keyCode) {
		case Event.KEY_UP:
			ego.moveCharacter(__MOVE_BACKWARD__);
			break;
		case Event.KEY_RIGHT:
			ego.moveCharacter(__MOVE_RIGHT__);
			break;
		case Event.KEY_DOWN:
			ego.moveCharacter(__MOVE_FORWARD__);
			break;
		case Event.KEY_LEFT:
			ego.moveCharacter(__MOVE_LEFT__);
			break;
	}
}