/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
var __INFORM_START__ = 0;
var __INFORM_STOP__ = 1;
var __INFORM_MOVE_CHANGE__ = 2;
var __INFORM_COLLISION__ = 3;

var Events = {
	_URL: 'handleEvents.php',
	InformStart: function(p_egoId, p_dir, p_coords) {
		new Ajax.Request(_URL, {
			method: 'post',
			parameters: {
				type: __INFORM_START__,
				id: p_egoId,
				mouse: false,
				dir: p_dir,
				x: p_coords[0],
				y: p_coords[1]
			}
		});
	},
	InformStartMouse: function(p_egoId, p_coordsFrom, p_coordsTo) {
		new Ajax.Request(_URL, {
			method: 'post',
			parameters: {
				type: __INFORM_START__,
				id: p_egoId,
				mouse: true,
				xF: p_coordsFrom[0],
				yF: p_coordsFrom[1],
				xT: p_coordsTo[0],
				yT: p_coordsTo[1]
			}
		});
	},
	InformStop: function(p_egoId, p_coords) {
		new Ajax.Request(_URL, {
			method: 'post',
			parameters: {
				type: __INFORM_STOP__,
				id: p_egoId,
				x: p_coords[0],
				y: p_coords[1]
			}
		});
	},
	InformMovementChange: function(p_egoId, p_dir, p_coords) {
		new Ajax.Request(_URL, {
			method: 'post',
			parameters: {
				type: __INFORM_MOVE_CHANGE__,
				id: p_egoId,
				mouse: false,
				dir: p_dir,
				x: p_coords[0],
				y: p_coords[1] }
		});
	},
	 InformMovementChangeMouse: function(p_egoId, p_coordsFrom, p_coordsTo) {
		new Ajax.Request(_URL, {
			method: 'post',
			parameters: {
				type: __INFORM_MOVE_CHANGE__,
				id: p_egoId,
				mouse: true,
				xF: p_coordsFrom[0],
				yF: p_coordsFrom[1],
				xT: p_coordsTo[0],
				yT: p_coordsTo[1]
			}
		});
	},
	InformCollision: function(p_egoId, p_objId, p_coords) {
		new Ajax.Request(_URL, {
			method: 'post',
			parameters: {
				type: __INFORM_COLLISION__,
				id: p_egoId,
				objId: p_objId,
				x: p_coords[0],
				y: p_coords[1]
			}
		});
	},
	PollServer: function( ) {
		new Ajax.Request('pollServer.php', {
			method: 'post',
			parameters: { id: ego.getId() },
			onSuccess: Events.ParseServerData
		});
	},
	ParseServerData: function(p_xhrResponse) {
		var response = p_xhrResponse.responseXML;
		var players = response.getElementsByTagName('players');

		/* Loop through the player data needed for updating */
		for (var i = 0, il = players.childNodes.length; i < il; i++) {
			var id = players.childNodes[i].getAttribute('id');
			var pos = players.childNodes[i].getAttribute('pos');
			var mouse = players.childNodes[i].getAttribute('mouse');
			var to = null;
			var dir = null;
			/* Is this a mouse movement? */
			if (mouse)
				to = players.childNodes[i].getAttribute('coordsTo');
			else
				dir = players.childNodes[i].getAttribute('dir');

			pos = pos.split(,);
			/* Are there two coordinates? */
			if (to)
				to = to.split(,);
			Events.UpdatePosition(id, pos, to, dir);
		}
	},
	UpdatePosition: function(p_id, p_pos, p_to, p_dir) {
		player[p_id].setPosition(p_pos[0], p_pos[1]);
		/* Are there two coordinates? */
		if (p_to)
			player[p_id].moveCharacterMouse(p_to[0], p_to[1]);
		else
			player[p_id].moveCharacter(p_dir);
	}
};