/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * This object, Logic, is the container for all mathematical logic functionality
 * for the game.
 */
var Logic = {
	//.
	//.
	//.
	/**
	 * This method, RectangularCollisionDetect, tests for a collision between the
	 * two rectangles that are passed to it.
	 *
	 * @member Logic
	 * @param {Array} p_box1 The points for the first bounding box.
	 * @param {Array} p_box2 The points for the second bounding box.
	 * @return Whether the two boxes have collided or not.
	 * @type Boolean
	 */
	RectangularCollisionDetect: function(p_box1, p_box2) {
		/* Is there a vertical collision between the boxes? */
		if ((p_box1[0][0] < p_box2[1][0]) && (p_box1[1][0] > p_box2[0][0]))
			/* Is there a horizontal collision between the boxes? */
			if ((p_box1[0][1] < p_box2[1][1]) && (p_box1[1][1] > p_box2[0][1]))
				return (true);
		return (false);
	}
};