/* 
 * This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * This object, Logic, is the container for all mathematical logic functionality
 * for the game.
 */
var Logic = {
	//.
	//.
	//.
	/**
	 * This method, CircularCollisionDetect, tests for a collision between a
	 * passed point and the passed circle (through its important values).
	 *
	 * @member Logic
	 * @param {Array} p_point The point to test.
	 * @param {Array} p_center The center point of the circle to test.
	 * @param {Integer} p_r2 The radius squared from the circle to test.
	 * @return Whether or not the point and the circle have collided.
	 * @type Boolean
	 */
	CircularCollisionDetect: function(p_point, p_center, p_r2) {
		var r2 = Math.pow((p_point[0] - p_center[0]), 2) + Math.pow((p_point[1] - p_center[1]), 2);

		/* Is there a collision between the circle and point? */
		if (r2 < p_r2)
			return (true);
		return (false);
	}
};