<?php
/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2007 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */

/**
 * Example 3-3.  Database interaction using the Zend framework.
 */

/**
 * The Zend framework Db.php library is required for this example.
 */
require_once('Zend/Db.php');
/**
 * The generic db.inc library, containing database connection information such as username, password, 
 * server, etc., is required for this example.
 */
require('db.inc');

/* Output the XML Prolog so the client can recognize this as XML */
$xml = <<< PROLOG
<?xml version="1.0" encoding="iso-8859-1"?>
PROLOG;

/* Get the parameter values from the query string */
$author = (isset($_POST['authorName']) ? $_POST['authorName'] : '');
/* Set up the parameters to connect to the database */
$params = array ('host' => $host, 'username' => $username, 'password' => $password, 'dbname' => $db);
try {
    /* Connect to the database */
    $db = Zend_Db::factory('PDO_MYSQL', $params);
    /* Create a SQL string */
    $sql = sprintf('SELECT book_id, book_nm FROM books, authors WHERE books.author_id = authors.author_id %s ORDER BY book_nm', (isset($author)) ? " AND authors.author_nm = '$author'" : '');
    /* Get the results of the query */
    $result = $db->query($sql);
    /* Are there results? */
    if ($rows = $result->fetchAll()) {
        $xml .= '<results>';
        foreach($rows in $row)
            $xml .= "<result>{$row['book_nm']}</result>";
        $xml .= '</results>';
    }
} catch (Exception $e) {
    $xml .= '<error>There was an error retrieving the data.</error>';
}

/* Change the header to text/xml so that the client can use the return string as XML */
header("Content-Type: text/xml");
echo $xml;
?>