/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * Example 4-10, Loading an XML string into a DOM Document object.
 */

/**
 * This function, parseResponse, takes the XML response from the server
 * and pulls out the elements it needs to dynamically alter the contents of a page.
 */
function parseResponse( ) {
	/* Is the /readyState/ 4? */
	if (request.readyState == 4) {
		/* Is the /status/ 200? */
		if (request.status == 200) {
			var xmlString = request.responseText;
			var response = null;

			/* Does this browser support ActiveX? (Internet Explorer) */
			if (window.ActiveXObject) {
				response = new ActiveXObject('Microsoft.XMLDOM');
				response.async = false;
			} else if (document.implementation && document.implementation.createDocument)
				response = document.implementation.createDocument('', '', null);
			response.loadXML(xmlString);

			var paramList = response.getElementsByTagName('param');

			/* This will be the XML string to use */
			var out = '<ul>';

			/* Loop through the list taken from the XML response */
			for (i = 0, il = paramList.length; i < il;) {
				out += '<li>' + paramList[i++].firstChild.nodeValue + '</li>';
			}
			out += '</ul>';
			document.getElementById('list').innerHTML = out;
		} else
			alert('There was a problem retrieving the data: \n' +
		request.statusText);
		request = null;
	}
}