<?php
/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 4-13, PHP handling a JSON request from the client.
 */

/**
 * The Zend Framework Db.php library is required for this example.
 */
require_once('Zend/Db.php');
/**
 * The generic db.inc library, containing database connection information
 * such as username, password, server, etc., is required for this example.
 */
require_once('db.inc');
/**
 * The JSON library required for this example.
 */
require_once('JSON.php');

/* Create a new JSON service */
$json = new Services_JSON(SERVICES_JSON_LOOSE_TYPE);

/* Get the parameter values from the post the client sent */
$raw_json = file_get_contents("php://input");
$data = $json->decode($raw_json);

/* Find all of the parameter values */
for ($i = 0, $il = count($data['parameters']['param']); $i < $il;) {
	$d = $data['parameters']['param'][$i++];
	switch ($d['id']) {
		case 1:
			$value1 = $d['value'];
			break;
		case 2:
			$value2 = $d['value'];
			break;
		case 3:
			$value3 = $d['value'];
	}
}

/* Set up the parameters to connect to the database */
$params = array ('host' => $host,
 				 'username' => $username,
				 'password' => $password,
				 'dbname' => $db);

try {
	/* Connect to the database */
	$conn = Zend_Db::factory('PDO_MYSQL', $params);

	$value1 = $conn->quote($value1);
	$value2 = $conn->quote($value2);
	$value3 = $conn->quote($value3);

	/* Create a SQL string and use the values that are protected from SQL injections */
	$sql = 'SELECT * FROM table1 WHERE condition1 = $value1 AND condition2 = $value2 AND condition3 = $value3';
	/* Get the results of the query */
	$result = $conn->query($sql);
	/* Are there results? */
	if ($rows = $result->fetchAll( )) {
		/* Create a JSON result string */
		$value = array( );
		$value['results'] = array( );
		$value['results']['result'] = array( );
		/* Loop through the results */
		foreach($rows in $row)
			$value['results']['result'][$i] = array('column1' => $row['column1'], 'column2' => $row['column2']);
		$output = $json->encode($value);
	}
} catch (Exception $ex) {
	$output = "{error: 'There was an error retrieving the data.'}";
}
echo $output;
?>