/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * Example 4-16, Prototype in action for an Ajax request.
 */

/* Create an Ajax call to the server */
new Ajax.Request(URL, {
	method: 'post',
	parameters: 'param1=data1&param2=data2&param3=data3',
	onSuccess: parseResponse,
	onFailure: function(xhrResponse) {
		alert('There was a problem retrieving the data: \n' + xhrResponse.statusText);
	}
});

/**
 * This function, parseResponse, takes the /xhrResponse/ object that is
 * the response from the server and parses its /responseXML/ to create a
 * list from the results.
 *
 * @param {Object} xhrResponse The response from the server.
 */
var parseResponse = function(xhrResponse) {
	var response = xhrResponse.responseXML;
	var paramList = response.getElementsByTagName('param');
	var out = '<ul>';

	/* Loop through the /param/ elements in the response to create the list items */
	for (i = 0, il = paramList.length; i < il;) {
		out += '<li>' + paramList[i++].firstChild.nodeValue + '</li>';
	}
	out += '</ul>';
	$('list').innerHTML = out;
}