/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * Example 4-2, Creating a request function.
 */

/**
 * This function, requestData, takes the passed /p_request/ object and
 * sends the passed /p_data/ to the passed /p_URL/. The /p_request/
 * object calls the /p_func/ function on /onreadystatechange/.
 *
 * @param {Object} p_request The XMLHttpRequest object to use.
 * @param {String} p_URL The URL to send the data request to.
 * @param {String} p_data The data that is to be sent to the server through
 * 		the request.
 * @param {String} p_func The string name of the function to call on
 * 		/onreadystatechange/.
 */
function requestData(p_request, p_URL, p_data, p_func) {
	/* Does the XMLHttpRequest object exist? */
	if (p_request) {
		p_request.open('GET', p_URL, true);
		p_request.onreadystatechange = p_func;
		p_request.send(p_data);
	}
}