/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */

/*
 * Example 4-7, Adding a loadXML method to the Document object.
 */

/* Is this a DOM-compliant browser? */
if (!window.ActiveXObject) {
	/**
	 * This method, loadXML, is a cross-browser method for DOM-compliant
	 * browsers that do not have this method natively. It loads an XML
	 * string into the DOM document for proper XML DOM parsing.
	 */
	Document.prototype.loadXML = function (xml_string) {
		/* Parse the string to a new doc */
		var doc = (new DOMParser( )).parseFromString(xml_string, 'text/xml');

		/* Remove all initial children */
		while (this.hasChildNodes( ))
			this.removeChild(this.lastChild);
		/* Insert and import nodes */
		for (i = 0, il = doc.childNodes.length; i < il;)
			this.appendChild(this.importNode(doc.childNodes[i++], true));
	};
}