/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
 
 /*
 * Example 4-9, Asynchronously loading an XML file.
 */

/**
 * This function, loadXMLAsyncFromFile, takes the passed /p_file/ string file name
 * and loads the contents asynchronously into the DOM document.
 *
 * @param {String} p_file The string filename to load from.
 * @see #verify
 */
function loadXMLAsyncFromFile(p_file) {
	xmlDoc = new ActiveXObject('Microsoft.XMLDOM');
	xmlDoc.async = true;
	xmlDoc.onreadystatechange = verify;
	xmlDoc.load(p_file);
}

/**
 * This function, verify, checks to see if the file is ready to be parsed
 * before attempting to use it.
 *
 * @see #loadXMLAsyncFromFile
 */
function verify( ) {
	/* Is the /readyState/ 4? */
	if (xmlDoc.readyState == 4)
		parseXML( );
	else
		return false;
}

var xmlDoc = null;

loadXMLAsyncFromFile('dummy.xml');