/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/*
 * Example 7-9. An accordion object, Prototype style.
 */

/* Global scoped variable to hold the current object opened in the accordion */
var currentId = null;

Effect.Accordion = function(contentId) {
	var slideDown = 0.5; /* The speed at which the contents should slide down */
	var slideUp = 0.15; /* The speed at which the contents should slide up */

	/* Get the object associated with the passed contentId */
	contentId = $(contentId);
	/* Is the currentId object different from the passed contentId object? */
	if (currentId != contentId) {
		/* Is the currentId object null? */
		if (currentId == null)
			/* Nothing else is open, so open the passed object */
			new Effect.SlideDown(contentId, {duration: slideDown});
		else {
			/* Close the current object that is open and open the passed object */
			new Effect.SlideUp(currentId, {duration: slideUp});
			new Effect.SlideDown(contentId, {duration: slideDown});
		}
		currentId = contentId; /* Set the passed object as the current object */
	} else {
		/* Close the current object, as it was clicked */
		new Effect.SlideUp(currentId, {duration: slideUp});
		currentId = null; /* Nothing is open now */
	}
};