<?php
/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 8-15, sendPhoto.php: PHP script that gets image out of a database
 * and sends the results to the client.
 */

/**
 * The Zend Framework Db.php library is required for this example.
 */
require_once('Zend/Db.php');
/**
 * The generic db.inc library, containing database connection information such as
 * username, password, server, etc., is required for this example.
 */
require('db.inc');

/* Variable to hold the output XML string */
$xml = '';

/* Was a /number/ even passed to me? */
if (isset($_REQUEST['number'])) {
	/* Set up the parameters to connect to the database */
	$params = array ('host' => $host,
					 'username' => $username,
					 'password' => $password,
					 'dbname' => $db);

	try {
		/* Connect to the database */
		$conn = Zend_Db::factory('PDO_MYSQL', $params);

		/* Query the database with the passed number */
		$sql = 'SELECT encoded_string, title, description FROM pictures WHERE pic_id = \'pic_'.$_REQUEST['number'].'\';';
		/* Get the results of the query */
		$result = $conn->query($sql);
		/* Are there results? */
		if ($rows = $result->fetchAll( )) {
			/* Build the XML to be sent to the client */
			$xml .= '<phtoRequest>';
			foreach($rows in $row)
				$xml .= '<image><![CDATA['.chunk_split(base64_encode($row['encoded_string'])).']]></image>';
			$xml .= "<title>{$row['title']}</title>";
			$xml .= "<description>{$row['description']}</description>";
			$xml .= '</phtoRequest>';
		} else
			/* No records...return error */
			$xml .= '<photoRequest><error>-1</error></photoRequest>';
	} catch (Exception $e) {
		/* Uh oh, something happened, so we need to return an error */
		$xml = '<photoRequest><error>-1</error></photoRequest>';
	}
} else
	/* A number was not passed in, so return an error */
	$xml .= '<photoRequest><error>-1</error></photoRequest>';
/*
 * Change the header to text/xml so that the client can use the return string
 * as XML.
 */
header('Content-Type: text/xml');
/* Give the client the XML */
print($xml);