/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * This function, insertionSort, takes an array of data (/p_dataArray/) and sorts
 * it using the /Insertion/ sort algorithm. It then returns the sorted array.
 *
 * @param {Array} p_dataArray The array of values to sort.
 * @return Returns the sorted array of values.
 * @type Array
 */
function insertionSort(dataArray) {
	var j, index;

	/* Loop through the array to sort each value */
	for (var i = 0, il = dataArray.length; i < il; i++) {
		index = dataArray[i];
		j = i;
		/* Move the /dataArray/ index to the place of insertion */
		while ((j > 0) && (dataArray[j - 1] > index)) {
			dataArray[j] = dataArray[j - 1];
			j -= 1;
		}
		/* Move the current /dataArray/ index to the insertion location */
		dataArray[j] = index;
	}
	return (dataArray);
}