<?php
/* This example is from the book _Ajax: The Definitive Guide_ by Anthony T. Holdener III.
 * Written by Anthony T. Holdener III.  Copyright (C) 2008 O'Reilly Media, Inc.
 * You may study, use, modify, and distribute this example for any purpose.
 * This example is provided WITHOUT WARRANTY either expressed or implied.
 */
/**
 * Example 8-6. The PHP code that could be used to create a table for a response
 * to a client.
 */

/**
 * The Zend Framework Db.php library is required for this example.
 */
require_once('Zend/Db.php');
/**
 * The generic db.php library, containing database connection information such
 * as username, password, server, etc., is required for this example.
 */
require('db.inc');

/* Were all of the necessary values passed from the client? */
if (isset($_REQUEST['tableId']) && isset($_REQUEST['columnId']) && isset($_REQUEST['sort'])) {
	/* Create the parameter array to connect to the database */
	$params = array ('host' => $host,
					 'username' => $username,
					 'password' => $password,
					 'dbname' => $db);

	try {
		/* Create a connection to the database */
		$conn = Zend_Db::factory('PDO_MYSQL', $params);
		/* Build the SQL string based on the parameters that were passed */
		$sql = sprintf('SELECT team, points, won, drew, lost, gs, ga FROM premLeague WHERE year = 2005%s', (($_REQUEST['columnId'] != '') ? ' ORDER BY '.$_REQUEST['columnId'].(($_REQUEST['sort'] == 1) ? ' DESC' : ' ASC') : ''));
		/* Get the results from the database query */
		$result = $conn->query($sql);
		/* Are there results with which to build a table? */
		if ($rows = $result->fetchAll( )) {
			$id = $_REQUEST['tableId'];
			/* Build the beginning and header of the table */
			$xml .= '<table id="'.$id.'" summary="This table represents the 1995-96 Premier League standings.">';
			$xml .= '<caption>1995-96 Premier League</caption>';
			$xml .= '<thead>';
			$xml .= '<tr>';
			$xml .= '<th id="team" onclick="sortTable(\''.$id.'\', this.id);">Team</th>';
			$xml .= '<th id="points" onclick="sortTable(\''.$id.'\', this.id);">Points</th>';
			$xml .= '<th id="won" onclick="sortTable(\''.$id.'\', this.id);">Won</th>';
			$xml .= '<th id="drew" onclick="sortTable(\''.$id.'\', this.id);">Drew</th>';
			$xml .= '<th id="lost" onclick="sortTable(\''.$id.'\', this.id);">Lost</th>';
			$xml .= '<th id="gs" abbr="goals scored" onclick="sortTable(\''.$id.'\', this.id);">GS</th>';
			$xml .= '<th id="ga" abbr="goals against" onclick="sortTable(\''.$id.'\', this.id);">GA</th>';
			$xml .= '</tr>';
			$xml .= '</thead>';
			$xml .= '<tbody>';
			/*
			 * Loop through the rows of the result set and build the table data
			 * in the tbody element.
			 */
			foreach($rows in $row) {
				$xml .='<tr>';
				$xml .= '<td headers="team">'.$row['team'].'</td>';
				$xml .= '<td headers="points">'.$row['points'].'</td>';
				$xml .= '<td headers="won">'.$row['won'].'</td>';
				$xml .= '<td headers="drew">'.$row['drew'].'</td>';
				$xml .= '<td headers="lost">'.$row['lost'].'</td>';
				$xml .= '<td headers="gs">'.$row['gs'].'</td>';
				$xml .= '<td headers="ga">'.$row['ga'].'</td>';
				$xml .='</tr>';
			}
			/* Finish up the table to be sent back */
			$xml .= '</tbody>';
			$xml .= '</table>';
		}
	} catch (Exception $e) {
		$xml .= '<div>There was an error retrieving the table data.</div>';
	}
}
/* Send the XHTML table to the client */
print($xml);
?>